Skip to main content
POST
Submit a credit note for approval

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

credit_note_id
string<uuid>
required

Response

Successful Response

Schema for credit note response. Includes all fields that can be returned from the API.

id
string<uuid>
required

The unique identifier of the credit note

Example:

"123e4567-e89b-12d3-a456-426614174000"

created_at
string<date-time>
required

Date and time when the credit note was created in the system

Example:

"2024-01-15T14:30:00Z"

updated_at
string<date-time>
required

Date and time of the last update to the credit note

Example:

"2024-01-15T14:30:00Z"

entity_id
string<uuid>
required

The ID of the entity to which the credit note belongs

Example:

"123e4567-e89b-12d3-a456-426614174000"

origin
string
required

The origin or source system of the credit note

Maximum string length: 128
Example:

"SAP"

source_of_data
string
required

How the data was input (ocr/user_specified)

Maximum string length: 128
Example:

"user_specified"

status
string
required

The current status of the credit note in its lifecycle

Maximum string length: 30
Example:

"submitted_for_approval"

based_on
string<uuid>

ID of the payable this credit note is based on

Example:

"123e4567-e89b-12d3-a456-426614174000"

based_on_document_id
string

The document ID of the original payable that this credit note refers to

Maximum string length: 255
Example:

"INV-2287"

counterpart
object

Object representing de-normalized counterpart data

counterpart_address_id
string<uuid>

ID of the counterpart's address

Example:

"123e4567-e89b-12d3-a456-426614174000"

counterpart_bank_account_id
string<uuid>

ID of the counterpart's bank account

Example:

"123e4567-e89b-12d3-a456-426614174000"

counterpart_id
string<uuid>

ID of the counterpart

Example:

"123e4567-e89b-12d3-a456-426614174000"

counterpart_raw
object

Object representing counterpart data which was extracted by OCR. Used for informational purposes.

counterpart_vat_id_id
string<uuid>

ID of the counterpart's VAT registration

Example:

"123e4567-e89b-12d3-a456-426614174000"

created_by_external_user_id
string

External system's user ID for the creator

Maximum string length: 255
Example:

"ext_user_123"

created_by_external_user_name
string

Name of the external user who created the credit note

Maximum string length: 255
Example:

"John Doe"

created_by_user_id
string<uuid>

ID of the user who created the credit note

Example:

"123e4567-e89b-12d3-a456-426614174000"

currency
string

The currency code

Maximum string length: 5
Example:

"USD"

currency_exchange
object
description
string

Description of the credit note

Maximum string length: 255
Example:

"Credit note for returned items from invoice INV-2287"

document_id
string

The credit note's unique document number

Maximum string length: 255
Example:

"CN-2287"

file_id
string<uuid>

The id of the credit note file stored in the file saver.

Example:

"123e4567-e89b-12d3-a456-426614174000"

file_url
string

The URL of the credit note file stored in the file saver.

issued_at
string<date>

Date when the credit note was issued

Example:

"2024-01-15"

ocr_request_id
string<uuid>

ID of the OCR processing request

Example:

"123e4567-e89b-12d3-a456-426614174000"

ocr_status
string

Status of OCR processing

Maximum string length: 10
Example:

"completed"

project_id
string<uuid>

ID of the associated project

Example:

"123e4567-e89b-12d3-a456-426614174000"

sender
string

Email address of the sender

Maximum string length: 255
Example:

"supplier@example.com"

subtotal
integer

The subtotal amount before taxes

Example:

1000

tags
object[]

List of tags associated with this credit note

Example:
tax
integer

The tax percentage

Example:

20

tax_amount
integer

The calculated tax amount

Example:

200

total_amount
integer

The total amount including taxes

Example:

1200